Linux v69820.1blu.de 4.15.0 #1 SMP Mon Sep 30 15:36:27 MSK 2024 x86_64
Apache/2.4.58
Server IP : 195.90.215.149 & Your IP : 216.73.216.250
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
MAKEDEV
52.04
KB
-rwxr-xr-x
2023-12-20 22:10
a2disconf
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2dismod
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2dissite
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2enconf
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2enmod
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2ensite
15.75
KB
-rwxr-xr-x
2024-03-18 12:35
a2query
9.6
KB
-rwxr-xr-x
2026-07-06 16:27
aa-load
38.75
KB
-rwxr-xr-x
2026-04-13 22:29
aa-remove-unknown
3.15
KB
-rwxr-xr-x
2026-04-13 22:29
aa-status
39.06
KB
-rwxr-xr-x
2026-04-13 22:29
aa-teardown
137
B
-rwxr-xr-x
2024-04-12 03:59
accessdb
14.55
KB
-rwxr-xr-x
2024-04-08 14:45
add-shell
1.03
KB
-rwxr-xr-x
2024-03-31 08:47
addgnupghome
3
KB
-rwxr-xr-x
2026-01-05 22:01
addgroup
53.9
KB
-rwxr-xr-x
2023-07-05 17:42
adduser
53.9
KB
-rwxr-xr-x
2023-07-05 17:42
agetty
59.56
KB
-rwxr-xr-x
2026-03-06 16:00
anacron
34.17
KB
-rwxr-xr-x
2024-04-08 15:54
apache2
740.59
KB
-rwxr-xr-x
2026-07-06 16:27
apache2ctl
7.26
KB
-rwxr-xr-x
2024-03-18 12:35
apachectl
7.26
KB
-rwxr-xr-x
2024-03-18 12:35
apparmor_parser
1.55
MB
-rwxr-xr-x
2026-04-13 22:29
apparmor_status
39.06
KB
-rwxr-xr-x
2026-04-13 22:29
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2026-01-05 22:01
aptd
1.36
KB
-rwxr-xr-x
2023-05-22 20:24
arp
61.61
KB
-rwxr-xr-x
2025-05-28 13:23
arpd
26.33
KB
-rwxr-xr-x
2026-04-15 06:53
arptables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
aspell-autobuildhash
13.36
KB
-rwxr-xr-x
2023-09-07 08:57
badblocks
34.32
KB
-rwxr-xr-x
2024-04-28 23:44
biosdecode
27.2
KB
-rwxr-xr-x
2024-10-14 20:25
blkdeactivate
15.97
KB
-rwxr-xr-x
2024-11-27 19:06
blkdiscard
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
blkid
54.41
KB
-rwxr-xr-x
2026-03-06 16:00
blkzone
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
blockdev
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
bridge
108.49
KB
-rwxr-xr-x
2026-04-15 06:53
capsh
57.09
KB
-rwxr-xr-x
2026-04-09 15:04
cfdisk
94.73
KB
-rwxr-xr-x
2026-03-06 16:00
chcpu
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
58.32
KB
-rwxr-xr-x
2024-05-30 14:52
chmem
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
chpasswd
54.43
KB
-rwxr-xr-x
2024-05-30 14:52
chroot
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
convertquota
62.88
KB
-rwxr-xr-x
2024-04-01 07:31
cpgr
48.45
KB
-rwxr-xr-x
2024-05-30 14:52
cppw
48.45
KB
-rwxr-xr-x
2024-05-30 14:52
cracklib-check
14.15
KB
-rwxr-xr-x
2024-03-31 07:30
cracklib-format
231
B
-rwxr-xr-x
2024-03-31 07:30
cracklib-packer
14.15
KB
-rwxr-xr-x
2024-03-31 07:30
cracklib-unpacker
14.15
KB
-rwxr-xr-x
2024-03-31 07:30
create-cracklib-dict
990
B
-rwxr-xr-x
2024-03-31 07:30
cron
58.67
KB
-rwxr-xr-x
2024-03-31 00:06
ctrlaltdel
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
dcb
80.52
KB
-rwxr-xr-x
2026-04-15 06:53
debugfs
225.87
KB
-rwxr-xr-x
2024-04-28 23:44
delgroup
18.53
KB
-rwxr-xr-x
2023-07-05 17:42
deluser
18.53
KB
-rwxr-xr-x
2023-07-05 17:42
depmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
devlink
150.86
KB
-rwxr-xr-x
2026-04-15 06:53
dhclient
676.54
KB
-rwxr-xr-x
2024-04-22 10:43
dhclient-script
16.17
KB
-rwxr-xr-x
2024-04-22 10:43
dhcp6c
158.7
KB
-rwxr-xr-x
2021-02-22 09:36
dhcp6ctl
22.31
KB
-rwxr-xr-x
2021-02-22 09:36
dhcpcd
395.4
KB
-rwxr-xr-x
2025-11-13 17:47
dmidecode
135.25
KB
-rwxr-xr-x
2024-10-14 20:25
dmsetup
171.05
KB
-rwxr-xr-x
2024-11-27 19:06
dmstats
171.05
KB
-rwxr-xr-x
2024-11-27 19:06
dosfsck
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
dosfslabel
38.38
KB
-rwxr-xr-x
2024-03-31 08:49
dpkg-preconfigure
4.25
KB
-rwxr-xr-x
2024-04-12 12:40
dpkg-reconfigure
4.43
KB
-rwxr-xr-x
2024-04-12 12:40
dumpe2fs
34.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2freefrag
18.3
KB
-rwxr-xr-x
2024-04-28 23:44
e2fsck
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
e2image
42.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2label
110.56
KB
-rwxr-xr-x
2024-04-28 23:44
e2mmpstatus
34.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2scrub
7.12
KB
-rwxr-xr-x
2024-04-28 23:44
e2scrub_all
5.27
KB
-rwxr-xr-x
2024-04-28 23:44
e2undo
22.3
KB
-rwxr-xr-x
2024-04-28 23:44
e4crypt
30.38
KB
-rwxr-xr-x
2024-04-28 23:44
e4defrag
34.3
KB
-rwxr-xr-x
2024-04-28 23:44
ebtables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
edquota
83.31
KB
-rwxr-xr-x
2024-04-01 07:31
exicyclog
11.12
KB
-rwxr-xr-x
2026-07-17 15:24
exigrep
10.48
KB
-rwxr-xr-x
2026-07-17 15:24
exim
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
exim4
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
exim_checkaccess
4.84
KB
-rwxr-xr-x
2026-07-17 15:24
exim_convert4r4
72.76
KB
-rwxr-xr-x
2026-07-17 15:24
exim_dbmbuild
18.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_dumpdb
22.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_fixdb
30.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_id_update
5.48
KB
-rwxr-xr-x
2026-07-17 15:24
exim_lock
18.3
KB
-rwxr-xr-x
2026-07-17 15:24
exim_msgdate
17.68
KB
-rwxr-xr-x
2026-07-17 15:24
exim_tidydb
22.3
KB
-rwxr-xr-x
2026-07-17 15:24
eximstats
148.27
KB
-rwxr-xr-x
2026-07-17 15:24
exinext
8.13
KB
-rwxr-xr-x
2026-07-17 15:24
exipick
59.35
KB
-rwxr-xr-x
2026-07-17 15:24
exiqgrep
5.63
KB
-rwxr-xr-x
2026-07-17 15:24
exiqsumm
5.28
KB
-rwxr-xr-x
2026-07-17 15:24
exiwhat
4.44
KB
-rwxr-xr-x
2026-07-17 15:24
faillock
22.31
KB
-rwxr-xr-x
2026-07-16 13:44
fatlabel
38.38
KB
-rwxr-xr-x
2024-03-31 08:49
fdisk
114.42
KB
-rwxr-xr-x
2026-03-06 16:00
filefrag
18.32
KB
-rwxr-xr-x
2024-04-28 23:44
findfs
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
fsck
42.42
KB
-rwxr-xr-x
2026-03-06 16:00
fsck.cramfs
30.44
KB
-rwxr-xr-x
2026-03-06 16:00
fsck.ext2
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.ext3
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.ext4
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.fat
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsck.minix
54.41
KB
-rwxr-xr-x
2026-03-06 16:00
fsck.msdos
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsck.vfat
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsfreeze
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
fstab-decode
14.3
KB
-rwxr-xr-x
2024-04-08 16:20
fstrim
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
genl
120.58
KB
-rwxr-xr-x
2026-04-15 06:53
getcap
14.3
KB
-rwxr-xr-x
2026-04-09 15:04
getpcaps
14.3
KB
-rwxr-xr-x
2026-04-09 15:04
getty
59.56
KB
-rwxr-xr-x
2026-03-06 16:00
groupadd
71.13
KB
-rwxr-xr-x
2024-05-30 14:52
groupdel
62.91
KB
-rwxr-xr-x
2024-05-30 14:52
groupmems
58.34
KB
-rwxr-xr-x
2024-05-30 14:52
groupmod
71.04
KB
-rwxr-xr-x
2024-05-30 14:52
grpck
58.32
KB
-rwxr-xr-x
2024-05-30 14:52
grpconv
50.16
KB
-rwxr-xr-x
2024-05-30 14:52
grpunconv
50.16
KB
-rwxr-xr-x
2024-05-30 14:52
halt
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
httxt2dbm
14.3
KB
-rwxr-xr-x
2026-07-06 16:27
iconvconfig
34.47
KB
-rwxr-xr-x
2026-07-23 17:18
ifconfig
77.17
KB
-rwxr-xr-x
2025-05-28 13:23
ifdown
93.58
KB
-rwxr-xr-x
2024-02-14 14:14
ifquery
93.58
KB
-rwxr-xr-x
2024-02-14 14:14
ifup
93.58
KB
-rwxr-xr-x
2024-02-14 14:14
init
98.45
KB
-rwxr-xr-x
2026-06-05 15:36
insmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
install-keymap
4.66
KB
-rwxr-xr-x
2019-09-08 10:00
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2022-10-06 18:03
installkernel
2.6
KB
-rwxr-xr-x
2024-03-31 08:47
invoke-rc.d
16.13
KB
-rwxr-xr-x
2023-12-06 07:46
ip
754.8
KB
-rwxr-xr-x
2026-04-15 06:53
ip6tables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-apply
6.89
KB
-rwxr-xr-x
2023-08-12 22:33
ip6tables-legacy
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-legacy-restore
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-legacy-save
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-restore-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ipmaddr
18.3
KB
-rwxr-xr-x
2025-05-28 13:23
iptables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-apply
6.89
KB
-rwxr-xr-x
2023-08-12 22:33
iptables-legacy
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-legacy-restore
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-legacy-save
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-restore-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptunnel
18.3
KB
-rwxr-xr-x
2025-05-28 13:23
isosize
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
ispell-autobuildhash
15.52
KB
-rwxr-xr-x
2023-09-07 08:57
kbdrate
18.31
KB
-rwxr-xr-x
2024-03-31 09:02
killall5
26.23
KB
-rwxr-xr-x
2024-04-08 16:20
ldattach
26.38
KB
-rwxr-xr-x
2026-03-06 16:00
ldconfig
387
B
-rwxr-xr-x
2026-07-23 17:18
ldconfig.real
1
MB
-rwxr-xr-x
2026-07-23 17:18
locale-gen
4.21
KB
-rwxr-xr-x
2024-08-08 13:37
logrotate
94.24
KB
-rwxr-xr-x
2024-04-08 16:11
logsave
14.16
KB
-rwxr-xr-x
2024-04-28 23:44
losetup
74.52
KB
-rwxr-xr-x
2026-03-06 16:00
lsmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
make-ssl-cert
6.65
KB
-rwxr-xr-x
2023-10-01 04:19
mariadbd
26.1
MB
-rwxr-xr-x
2025-10-11 02:08
memtester
30.32
KB
-rwxr-xr-x
2022-12-21 16:36
mii-tool
26.73
KB
-rwxr-xr-x
2025-05-28 13:23
mkdosfs
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mke2fs
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.bfs
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.cramfs
34.32
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.ext2
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.ext3
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.ext4
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.fat
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkfs.minix
42.39
KB
-rwxr-xr-x
2026-03-06 16:00
mkfs.msdos
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkfs.ntfs
66.38
KB
-rwxr-xr-x
2026-07-11 15:55
mkfs.vfat
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkhomedir_helper
22.34
KB
-rwxr-xr-x
2026-07-16 13:44
mkinitramfs
15.39
KB
-rwxr-xr-x
2026-02-04 17:01
mklost+found
14.3
KB
-rwxr-xr-x
2024-04-28 23:44
mkntfs
66.38
KB
-rwxr-xr-x
2026-07-11 15:55
mkswap
50.38
KB
-rwxr-xr-x
2026-03-06 16:00
modinfo
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
modprobe
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
mount.fuse
18.3
KB
-rwxr-xr-x
2024-04-08 15:57
mount.fuse3
18.3
KB
-rwxr-xr-x
2024-04-08 15:57
mount.lowntfs-3g
118.98
KB
-rwxr-xr-x
2026-07-11 15:55
mount.ntfs
159.01
KB
-rwxr-xr-x
2026-07-11 15:55
mount.ntfs-3g
159.01
KB
-rwxr-xr-x
2026-07-11 15:55
mysqld
26.1
MB
-rwxr-xr-x
2025-10-11 02:08
nameif
14.39
KB
-rwxr-xr-x
2025-05-28 13:23
newusers
86.96
KB
-rwxr-xr-x
2024-05-30 14:52
nfnl_osf
18.3
KB
-rwxr-xr-x
2024-04-08 15:59
nft
26.23
KB
-rwxr-xr-x
2026-02-24 08:16
nologin
14.3
KB
-rwxr-xr-x
2024-05-30 14:52
ntfsclone
50.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfscp
30.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfslabel
22.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsresize
62.39
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsundelete
50.38
KB
-rwxr-xr-x
2026-07-11 15:55
ownership
14.45
KB
-rwxr-xr-x
2024-10-14 20:25
pam-auth-update
20.96
KB
-rwxr-xr-x
2025-03-05 14:39
pam_extrausers_chkpwd
26.31
KB
-rwxr-sr-x
2026-07-16 13:44
pam_extrausers_update
34.31
KB
-rwxr-xr-x
2026-07-16 13:44
pam_getenv
2.82
KB
-rwxr-xr-x
2025-03-05 14:39
pam_namespace_helper
467
B
-rwxr-xr-x
2026-07-16 13:44
pam_timestamp_check
14.31
KB
-rwxr-xr-x
2026-07-16 13:44
parted
94.4
KB
-rwxr-xr-x
2024-03-31 06:44
partprobe
14.38
KB
-rwxr-xr-x
2024-03-31 06:44
phpdismod
7.11
KB
-rwxr-xr-x
2022-07-13 08:19
phpenmod
7.11
KB
-rwxr-xr-x
2022-07-13 08:19
phpquery
6.24
KB
-rwxr-xr-x
2022-07-13 08:19
pivot_root
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
plipconfig
14.3
KB
-rwxr-xr-x
2025-05-28 13:23
plocate-build
50.47
KB
-rwxr-xr-x
2024-04-18 17:53
poweroff
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
pwck
54.29
KB
-rwxr-xr-x
2024-05-30 14:52
pwconv
46.16
KB
-rwxr-xr-x
2024-05-30 14:52
pwhistory_helper
22.31
KB
-rwxr-xr-x
2026-07-16 13:44
pwunconv
46.16
KB
-rwxr-xr-x
2024-05-30 14:52
quota_nld
26.41
KB
-rwxr-xr-x
2024-04-01 07:31
quotacheck
91.34
KB
-rwxr-xr-x
2024-04-01 07:31
quotaoff
54.78
KB
-rwxr-xr-x
2024-04-01 07:31
quotaon
54.78
KB
-rwxr-xr-x
2024-04-01 07:31
quotastats
14.15
KB
-rwxr-xr-x
2024-04-01 07:31
rarp
32.33
KB
-rwxr-xr-x
2025-05-28 13:23
readprofile
22.41
KB
-rwxr-xr-x
2026-03-06 16:00
reboot
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
remove-default-ispell
2.86
KB
-rwxr-xr-x
2023-09-07 08:57
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2023-09-07 08:57
remove-shell
1.08
KB
-rwxr-xr-x
2024-03-31 08:47
repquota
75.41
KB
-rwxr-xr-x
2024-04-01 07:31
resize2fs
70.3
KB
-rwxr-xr-x
2024-04-28 23:44
resolvconf
158.67
KB
-rwxr-xr-x
2026-06-05 15:36
rmail
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
rmmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
rmt
54.71
KB
-rwxr-xr-x
2026-07-20 14:38
rmt-tar
54.71
KB
-rwxr-xr-x
2026-07-20 14:38
rndc
42.3
KB
-rwxr-xr-x
2026-05-21 13:51
rndc-confgen
22.3
KB
-rwxr-xr-x
2026-05-21 13:51
route
68.27
KB
-rwxr-xr-x
2025-05-28 13:23
rpc.rquotad
71.18
KB
-rwxr-xr-x
2024-04-01 07:31
rsmtp
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
rsyslogd
771.67
KB
-rwxr-xr-x
2026-07-20 16:30
rtacct
28.31
KB
-rwxr-xr-x
2026-04-15 06:53
rtcwake
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
rtmon
116.52
KB
-rwxr-xr-x
2026-04-15 06:53
runlevel
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
runq
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
runuser
54.38
KB
-rwxr-xr-x
2026-03-06 16:00
sasl-sample-server
22.56
KB
-rwxr-xr-x
2024-08-09 02:33
saslauthd
82.66
KB
-rwxr-xr-x
2024-08-09 02:33
sasldbconverter2
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
sasldblistusers2
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
saslpasswd2
14.44
KB
-rwxr-xr-x
2024-08-09 02:33
saslpluginviewer
18.44
KB
-rwxr-xr-x
2024-08-09 02:33
select-default-ispell
3.23
KB
-rwxr-xr-x
2023-09-07 08:57
select-default-wordlist
3.21
KB
-rwxr-xr-x
2023-09-07 08:57
sendmail
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
service
8.89
KB
-rwxr-xr-x
2023-12-06 07:50
setcap
14.3
KB
-rwxr-xr-x
2026-04-09 15:04
setquota
79.38
KB
-rwxr-xr-x
2024-04-01 07:31
setvesablank
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
setvtrgb
14.43
KB
-rwxr-xr-x
2024-03-31 09:02
sfdisk
106.38
KB
-rwxr-xr-x
2026-03-06 16:00
shadowconfig
2.22
KB
-rwxr-xr-x
2024-05-07 13:44
shutdown
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
slattach
36.08
KB
-rwxr-xr-x
2025-05-28 13:23
split-logfile
2.36
KB
-rwxr-xr-x
2026-07-06 16:27
sshd
899.82
KB
-rwxr-xr-x
2026-07-09 18:16
start-stop-daemon
47.49
KB
-rwxr-xr-x
2026-05-06 17:38
sudo_logsrvd
248.5
KB
-rwxr-xr-x
2026-03-02 12:56
sudo_sendlog
131.67
KB
-rwxr-xr-x
2026-03-02 12:56
sulogin
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
swaplabel
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
swapoff
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
swapon
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
switch_root
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
sysctl
30.38
KB
-rwxr-xr-x
2024-09-26 08:44
syslog2eximlog
1.41
KB
-rwxr-xr-x
2026-07-17 15:24
tarcat
936
B
-rwxr-xr-x
2024-01-01 21:15
tc
634.08
KB
-rwxr-xr-x
2026-04-15 06:53
tcptraceroute
1.56
KB
-rwxr-xr-x
2023-12-25 07:29
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2023-12-25 07:29
telinit
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
testsaslauthd
14.3
KB
-rwxr-xr-x
2024-08-09 02:33
tipc
90.52
KB
-rwxr-xr-x
2026-04-15 06:53
tor
3.67
MB
-rwxr-xr-x
2024-06-06 14:50
tor-instance-create
2.58
KB
-rwxr-xr-x
2024-06-06 14:50
traceroute
79.28
KB
-rwxr-xr-x
2023-12-25 07:29
tune2fs
110.56
KB
-rwxr-xr-x
2024-04-28 23:44
u-d-c-print-pci-ids
517
B
-rwxr-xr-x
2025-10-20 20:36
umount.udisks2
14.3
KB
-rwxr-xr-x
2025-08-21 14:16
unix_chkpwd
30.31
KB
-rwxr-sr-x
2026-07-16 13:44
unix_update
34.31
KB
-rwxr-xr-x
2026-07-16 13:44
update-ca-certificates
5.32
KB
-rwxr-xr-x
2026-06-15 16:17
update-catalog
9.17
KB
-rwxr-xr-x
2022-10-06 18:03
update-cracklib
1.15
KB
-rwxr-xr-x
2022-11-29 07:26
update-default-aspell
1
KB
-rwxr-xr-x
2023-09-07 08:57
update-default-ispell
9.68
KB
-rwxr-xr-x
2023-09-07 08:57
update-default-wordlist
7.5
KB
-rwxr-xr-x
2023-09-07 08:57
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2023-09-07 08:57
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2023-09-07 08:57
update-exim4.conf
14.7
KB
-rwxr-xr-x
2026-07-17 15:24
update-exim4.conf.template
3.35
KB
-rwxr-xr-x
2024-06-24 20:31
update-fonts-alias
5.71
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-dir
3.98
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-scale
6.1
KB
-rwxr-xr-x
2016-08-21 16:54
update-gsfontmap
390
B
-rwxr-xr-x
2025-09-25 16:37
update-icon-caches
596
B
-rwxr-xr-x
2025-01-27 19:56
update-info-dir
1.66
KB
-rwxr-xr-x
2024-01-13 19:09
update-initramfs
6.75
KB
-rwxr-xr-x
2026-02-04 17:01
update-locale
2.99
KB
-rwxr-xr-x
2024-08-08 13:37
update-mime
9.39
KB
-rwxr-xr-x
2026-07-02 14:59
update-passwd
34.56
KB
-rwxr-xr-x
2024-04-08 15:54
update-pciids
1.74
KB
-rwxr-xr-x
2024-04-08 16:15
update-rc.d
17.72
KB
-rwxr-xr-x
2023-12-06 07:47
update-shells
3.89
KB
-rwxr-xr-x
2024-03-31 08:47
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2023-12-12 02:01
updatedb.plocate
106.48
KB
-rwxr-xr-x
2024-04-18 17:53
usbmuxd
90.6
KB
-rwxr-xr-x
2025-12-11 13:34
useradd
139.88
KB
-rwxr-xr-x
2024-05-30 14:52
userdel
91.01
KB
-rwxr-xr-x
2024-05-30 14:52
usermod
127.65
KB
-rwxr-xr-x
2024-05-30 14:52
uuidd
30.88
KB
-rwxr-xr-x
2026-03-06 16:00
validlocale
1.73
KB
-rwxr-xr-x
2022-08-02 15:34
vcstime
14.3
KB
-rwxr-xr-x
2024-03-31 09:02
vdpa
34.56
KB
-rwxr-xr-x
2026-04-15 06:53
vigr
60.69
KB
-rwxr-xr-x
2024-05-30 14:52
vipw
60.69
KB
-rwxr-xr-x
2024-05-30 14:52
visudo
252.71
KB
-rwxr-xr-x
2026-03-02 12:56
vpddecode
14.58
KB
-rwxr-xr-x
2024-10-14 20:25
warnquota
83.3
KB
-rwxr-xr-x
2024-04-01 07:31
wipefs
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
xinetd
174.55
KB
-rwxr-xr-x
2024-04-01 08:35
xqmstats
14.15
KB
-rwxr-xr-x
2024-04-01 07:31
xtables-legacy-multi
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
xtables-monitor
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
xtables-nft-multi
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
zic
66.39
KB
-rwxr-xr-x
2026-07-23 17:18
zramctl
54.52
KB
-rwxr-xr-x
2026-03-06 16:00
Save
Rename
#!/bin/sh # update-exim4.conf(8) - Generate /var/lib/exim4/config.autogenerated set -e set -C set -f UPEX4C_confdir="/etc/exim4" UPEX4C_sections="main acl router transport retry rewrite auth" # list of ue4cc options that need to support both colons and # semicolons as separators. dc_other_hostnames and dc_smarthost # has special handling. UPEX4C_semicolon="dc_local_interfaces dc_relay_nets dc_relay_domains" EXIM="/usr/sbin/exim4" UPEX4C_verbose=no UPEX4C_autoconfigfile=/var/lib/exim4/config.autogenerated UPEX4C_outputfile="${UPEX4C_autoconfigfile}" UPEX4C_version="4.97-4ubuntu4.7" usage() { cat <<EOF $0 - Generate exim4 configuration files Options: -v|--verbose - Enable verbose mode, tell about ignored files -h|--help - Show this message --keepcomments - Do not remove comment lines --removecomments - Remove comment lines -o|--output file - write output to file instead of ${UPEX4C_outputfile} -d|--confdir directory - read input from given directory instead of ${UPEX4C_confdir} --check - Test generated file for validity and remove it again. EOF } ## Parse commandline TEMP=$(getopt -n update-exim4.conf \ -l check,keepcomments,removecomments,output:,confdir:,help,verbose -- \ +o:d:vh "$@") if test "$?" != 0; then echo "Terminating..." >&2 exit 1 fi eval set -- ${TEMP} while test "$1" != "--"; do case $1 in -h|--help) usage exit 0 ;; -v|--verbose) UPEX4C_verbose=yes ;; --keepcomments) UPEX4C_comments=yes ;; --removecomments) UPEX4C_comments=no ;; --check) UPEX4C_check=yes ;; -o|--output) shift UPEX4C_outputfile="$1" ;; -d|--confdir) shift UPEX4C_confdir="$1" ;; esac shift done shift # No non-option arguments allowed. if [ "$#" -ne 0 ]; then echo "No non option arguments ($@) allowed" >&2 usage >&2 exit 1 fi # exit immediately if /etc/exim4/exim4.conf exists and -o was not specified if [ -e /etc/exim4/exim4.conf ] && \ [ "${UPEX4C_outputfile}" = "${UPEX4C_autoconfigfile}" ] ; then exit 0 fi UE4CC="$UPEX4C_confdir/update-exim4.conf.conf" UPEX4C_confd="$UPEX4C_confdir/conf.d" [ -d "$(dirname "$UPEX4C_outputfile")" ] || \ { printf "$0: Error, missing $(dirname "$UPEX4C_outputfile"), exiting.\n" 1>&2 ; exit 1 ; } if [ -f "$UE4CC" ]; then . "$UE4CC" else echo >&2 "$0: Error, no $UE4CC, exiting." exit 1 fi UPEX4C_autoconfigfile=/var/lib/exim4/config.autogenerated if [ "$(dirname ${UPEX4C_outputfile})" = "/var/lib/exim4" ] ; then UPEX4C_tmp="${UPEX4C_outputfile}.tmp" else UPEX4C_tmp="$(mktemp)" fi lowerpipe() { tr 'A-Z' 'a-z' } lowercase() { echo "$*" | lowerpipe } check_ascii_pipe() { IN="$(cat)" # Use "abcdef... instead of a a-z or [:alnum:] here since the alternatives # will also match non-ascii characters. OUT="$(echo $IN | sed 's/[^-0-9ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz\/\.!*@_~:;< \[\]]/_/g')" if [ "$OUT" != "$IN" ]; then echo >&2 "$0: non-ascii value $IN read from $UE4CC, sanitizing to $OUT" fi echo $OUT } [ "${CFILEMODE}" = "" ] && CFILEMODE=644 [ "${dc_use_split_config}" = "" ] && dc_use_split_config='false' [ "${dc_localdelivery}" = "" ] && dc_localdelivery='mail_spool' [ "${UPEX4C_comments:-}" = "" ] && UPEX4C_comments="${ue4c_keepcomments:-no}" TEMPLATEFILE="${UPEX4C_confdir}/exim4.conf.template" dc_use_split_config="$(lowercase $dc_use_split_config)" UPEX4C_verbose="$(lowercase $UPEX4C_verbose)" if [ "${dc_use_split_config}" = "true" ]; then [ "${UPEX4C_verbose}" = "yes" ] && \ echo "using split configuration scheme from ${UPEX4C_confd}" if ! [ -d "${UPEX4C_confd}" ]; then printf >&2 "$0: Error, no ${UPEX4C_confd}, exiting.\n" exit 1 fi else [ "${UPEX4C_verbose}" = "yes" ] && \ echo "using non-split configuration scheme from ${TEMPLATEFILE}" fi # take only the first word from /etc/mailname mailname="$(< /etc/mailname sed -n 's/\([-[:alnum:]@\.]\+\).*/\1/;p;q' | lowerpipe | check_ascii_pipe)" # barf if lookups are found. They have never been supported here. if echo " ${dc_other_hostnames} ${dc_smarthost} ${dc_local_interfaces} ${dc_relay_nets} ${dc_relay_domains}"| grep -q '[[:space:]]\(partial-\)\?\(cdb\|dbm\|dbmnz\|\(d\|ipl\|\(n\?wild\)\?l\)search\|nis\)\([\*@]\)\?[[:space:]]*;'; then echo >&2 "WARNING: using 'lookup;' constructs in $UE4CC has never been supported! See /usr/share/doc/exim4-config/NEWS.Debian.gz for details." fi dc_other_hostnames="$(lowercase $dc_other_hostnames | check_ascii_pipe)" # add localhost, get rid of spaces, trailing (semi)colons and make the list # colon separated local_domains="$(echo @:localhost:"${dc_other_hostnames}" | \ sed -e 's/[;: ]*$//' -e 's/ *//' -e 's/;/:/g')" # run-parts emulation, stolen from Branden's /etc/X11/Xsession # Addition: Use file.rul instead if file if it exists. run_parts () { # reset LC_COLLATE unset LANG LC_COLLATE LC_ALL if [ -z "$1" ]; then errormessage "$0: internal run_parts called without an argument" fi if [ ! -d "$1" ]; then errormessage "$0: internal run_parts called, but $1 does not exist or is not a directory." fi for F in $(ls $1); do if expr "$F" : '[[:alnum:]_-]\+$' > /dev/null 2>&1; then if [ -f "$1/$F" ] ; then if [ -f "$1/${F}.rul" ] ; then echo "$1/${F}.rul" else echo "$1/$F" fi fi else if [ "${UPEX4C_verbose}" = "yes" ] && \ [ -f "$1/$F" ] && \ ! expr "$F" : '[[:alnum:]_-]\+\.rul'> /dev/null 2>&1 ; then echo \ "internal run-parts: ignoring file: $1/$F" 1>&2 fi fi done; } # also from Branden errormessage () { # pretty-print messages of arbitrary length (no trailing newline) echo "$*" | fold -s -w ${COLUMNS:-80} >&2; } cat_parts() { if [ -z "$1" ]; then errormessage "$0: internal cat_parts called without an argument" fi if [ ! -d "$1" ]; then errormessage "$0: internal cat_parts called, but $1 does not exist or is not a directory." fi for file in $(run_parts $1); do echo "#####################################################" echo "### $file" echo "#####################################################" cat "$file" echo echo "#####################################################" echo "### end $file" echo "#####################################################" done } gentmpconf() { rm -f "${UPEX4C_tmp}" touch "${UPEX4C_tmp}" # this can be removed by the end of 2007 #chown --reference=${TEMPLATEFILE} \ # ${UPEX4C_tmp} ${UPEX4C_outputfile} #chmod --reference=${TEMPLATEFILE} \ # ${UPEX4C_tmp} ${UPEX4C_outputfile} if [ "$(id -u)" = "0" ]; then chown root:Debian-exim "${UPEX4C_tmp}" [ -e "${UPEX4C_outputfile}" ] && \ chown root:Debian-exim "${UPEX4C_outputfile}" fi chmod 640 "${UPEX4C_tmp}" if [ -e "${UPEX4C_outputfile}" ]; then chmod 640 "${UPEX4C_outputfile}" fi } removecomments(){ if [ "${UPEX4C_comments}" = "no" ] ; then grep -E -v '^[[:space:]]*#' | sed -e '/^$/N;/\n$/D' ; else cat fi } gentmpconf cat << EOF >> "${UPEX4C_tmp}" ######### # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # This file was generated dynamically from EOF if [ "${dc_use_split_config}" = "true" ] ; then cat << EOF >> "${UPEX4C_tmp}" # split config files in the $UPEX4C_confd/ directory. EOF else cat << EOF >> "${UPEX4C_tmp}" # non-split config ($UPEX4C_confdir/exim4.conf.localmacros # and $UPEX4C_confdir/exim4.conf.template). EOF fi cat << EOF >> "${UPEX4C_tmp}" # The config files are supplemented with package installation/configuration # settings managed by debconf. This data is stored in # $UPEX4C_confdir/update-exim4.conf.conf # Any changes you make here will be lost. # See /usr/share/doc/exim4-base/README.Debian.gz and update-exim4.conf(8) # for instructions of customization. # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING ######### EOF # handle ";" in input values as separator change for field in $UPEX4C_semicolon; do if eval echo \$$field | grep -q ";"; then eval temp=\$$field if ! echo $temp | grep -q "^<"; then temp="<; $temp" eval "$field='$temp'" fi fi done # fix up smarthost line: change semicolons into single colons dc_smarthost="$(lowercase $dc_smarthost | check_ascii_pipe | sed 's/;/:/g')" dc_relay_nets="$(lowercase $dc_relay_nets | check_ascii_pipe)" if echo "$dc_relay_nets" | grep -q '^<;'; then dc_relay_nets="$dc_relay_nets ; 127.0.0.1 ; ::1" else dc_relay_nets="$dc_relay_nets : 127.0.0.1 : ::::1" fi dc_eximconfig_configtype="$(lowercase $dc_eximconfig_configtype | check_ascii_pipe)" dc_hide_mailname="$(lowercase $dc_hide_mailname | check_ascii_pipe)" dc_readhost="$(lowercase $dc_readhost | check_ascii_pipe)" case "$dc_eximconfig_configtype" in satellite|smarthost) if [ "${dc_hide_mailname}" = "true" ] && [ -n "${dc_readhost}" ] ; then hide_mailname=1 fi ;; local) ;; internet) ;; none|*) if [ "${dc_use_split_config}" = "true" ] ; then for i in ${UPEX4C_sections} ; do cat_parts "${UPEX4C_confd}/$i" done | \ removecomments \ >> "${UPEX4C_tmp}" else LOCALMACROS="" if [ -e "/etc/exim4/exim4.conf.localmacros" ]; then LOCALMACROS="/etc/exim4/exim4.conf.localmacros" fi cat "${LOCALMACROS:-/dev/null}" "${TEMPLATEFILE:-/dev/null}" | \ removecomments \ >> "${UPEX4C_tmp}" fi mv -f "${UPEX4C_tmp}" "${UPEX4C_outputfile}" chmod "${CFILEMODE}" "${UPEX4C_outputfile}" [ "${UPEX4C_verbose}" = "yes" ] && \ echo "Not substituting variables since conftype is none (or other)" exit 0 ;; esac UPEX4C_macros="##############################################\n" UPEX4C_macros="${UPEX4C_macros}# the following macro definitions were created\n" UPEX4C_macros="${UPEX4C_macros}# dynamically by $0\n" preprocess_macro() { macroname="${1:-}" shift contents="$(lowercase ${@} | check_ascii_pipe)" printf "%s" ".ifndef $macroname\n$macroname=$contents\n.endif\n" } seed_macro() { UPEX4C_macros="${UPEX4C_macros}$(preprocess_macro "$1" "$2")" } file2macros() { file="$1" < $1 \ sed -n '/^[[:upper:]]/p;' | \ grep -v '^CFILEMODE=' | \ while read line; do errormessage "undocumented line $line found in $1, generating exim macro" left="$(echo $line | sed 's/\([^=]*\).*/\1/')" right="$(echo $line | sed 's/[^=]*=\(.*\)/\1/')" preprocess_macro "$left" "$right" done } if [ "${dc_local_interfaces}" != "" ] ; then seed_macro "MAIN_LOCAL_INTERFACES" "${dc_local_interfaces}" fi if [ "${dc_minimaldns}" = "true" ] ; then seed_macro "DC_minimaldns" "1" if guessed_name="$(hostname --fqdn | lowerpipe | check_ascii_pipe | grep '\.')" ; then seed_macro "MAIN_HARDCODE_PRIMARY_HOSTNAME" "$guessed_name" else errormessage "hostname --fqdn did not return a fully qualified name, dc_minimaldns will not work. Please fix your /etc/hosts setup." fi fi if [ -n "${hide_mailname:-}" ]; then seed_macro "HIDE_MAILNAME" "${hide_mailname:-}" fi seed_macro "MAIN_PACKAGE_VERSION" "$UPEX4C_version" seed_macro "MAIN_LOCAL_DOMAINS" "${local_domains}" seed_macro "MAIN_RELAY_TO_DOMAINS" "${dc_relay_domains}" seed_macro "ETC_MAILNAME" "$mailname" seed_macro "LOCAL_DELIVERY" "${dc_localdelivery}" seed_macro "MAIN_RELAY_NETS" "${dc_relay_nets}" seed_macro "DCreadhost" "${dc_readhost}" seed_macro "DCsmarthost" "${dc_smarthost}" seed_macro "DC_eximconfig_configtype" "${dc_eximconfig_configtype}" seed_macro "DCconfig_${dc_eximconfig_configtype}" "1" # dump everything starting with a capital into macros as well # this is going to stay undocumented, but fixes PEBCAK where people write # macros into ue4cc. UPEX4C_macros="${UPEX4C_macros}$(file2macros $UE4CC)" UPEX4C_macros="${UPEX4C_macros}##############################################\n" case "${dc_use_split_config}" in true) for i in ${UPEX4C_sections} ; do echo "# begin processing $i #####" cat_parts "${UPEX4C_confd}/$i" echo "# end of $i #####" done \ | removecomments \ | sed "s|^\(UPEX4CmacrosUPEX4C.*\)$|\1\n$UPEX4C_macros|" \ >> "${UPEX4C_tmp}" RELEVANTTEMPLATE="$UPEX4C_confd" ;; false) if [ ! -r "$TEMPLATEFILE" ] ; then echo "Error: Unsplit config selected and $TEMPLATEFILE missing ... exiting" 1>&2 exit 1 fi LOCALMACROS="" if [ -e "/etc/exim4/exim4.conf.localmacros" ]; then LOCALMACROS="${UPEX4C_confdir}/exim4.conf.localmacros" fi cat "${LOCALMACROS:-/dev/null}" "${TEMPLATEFILE:-/dev/null}" \ | removecomments \ | sed "s|^\(UPEX4CmacrosUPEX4C.*\)$|\1\n$UPEX4C_macros|" \ >> "${UPEX4C_tmp}" RELEVANTTEMPLATE="$TEMPLATEFILE" ;; *) errormessage "Invalid value for dc_use_split_config: \"${dc_use_split_config}\", exiting." rm -f "${UPEX4C_tmp}" exit 1 ;; esac # check for left-over DEBCONF strings that may cause installation trouble # (fix PEBCAK for people who don't accept conffile changes and don't # read docs) if grep -qr '^[^#]*DEBCONF[[:lower:]_]\+DEBCONF' $RELEVANTTEMPLATE \ && ! grep -qr '^[[:space:]]*DEBCONFstringOK_config_adapted[[:space:]]*=' $RELEVANTTEMPLATE; then errormessage "DEBCONFsomethingDEBCONF found in exim configuration. This is most probably caused by you upgrading to exim4 4.67-3 or later without accepting the suggested conffile changes. Please read /usr/share/doc/exim4-config/NEWS.Debian.gz for 4.67-2 and 4.67-4" fi # check for left-over UPEX4CmacrosUPEX4C comment string that may cause # installation trouble (fix PEBCAK for people who don't accept conffile # changes and don't read docs) if grep -qr '# UPEX4CmacrosUPEX4C' $RELEVANTTEMPLATE \ && ! grep -qr '^[[:space:]]*UPEX4CmacrosOK_config_adapted[[:space:]]*=' $RELEVANTTEMPLATE; then errormessage "UPEX4CmacrosUPEX4C found in an exim configuration comment. This is most probably caused by you upgrading to exim4 4.67-5 or later without accepting the suggested conffile changes. Please read /usr/share/doc/exim4-config/NEWS.Debian.gz for 4.67-5" fi # test validity if called without -o or if --check was supplied if [ "${UPEX4C_outputfile}" = "${UPEX4C_autoconfigfile}" ] || \ [ "x${UPEX4C_check}" = "xyes" ]; then if [ -x "${EXIM}" ] ; then if ! "${EXIM}" -C "${UPEX4C_tmp}" -bV > /dev/null ; then # we have an error in the configuration file. Do not install # and activate. However, errors in string expansions inside # the configuration file are not detected by this check! errormessage "Invalid new configfile ${UPEX4C_tmp}, not installing ${UPEX4C_tmp} to ${UPEX4C_outputfile}" exit 1 fi fi fi if [ "x${UPEX4C_check}" = "xyes" ]; then rm -f "${UPEX4C_tmp}" exit 0 fi mv -f "${UPEX4C_tmp}" "${UPEX4C_outputfile}" chmod "${CFILEMODE}" "${UPEX4C_outputfile}" # end of file